Fixer les vulnérabilité de Joomla 2.5.28

Informations concernant la sécurité, support et assistance pour améliorer les performances de son site Joomla! 3.0, 3.1 et 3.5

Moderators: sarki, Aidan38

Forum rules
Règles du forum
Post Reply
khadija74
Joomla! Apprentice
Joomla! Apprentice
Posts: 5
Joined: Thu Dec 21, 2017 10:27 am

Fixer les vulnérabilité de Joomla 2.5.28

Post by khadija74 » Thu Jan 25, 2018 10:37 am

Bonjour

Mon site a été développé par Joomla 2.5.11 en 2013 et présente plein de vulnérabilité après un dernier scan , j'ai essayée de le migrer vers la dernière version de Joomla mais ça marche pas , vu qu'il contient beaucoup de modules développés à main du coup le tout ne fonction plus voir back et front office , par contre si je le met a jour vers 2.5.28 ça marche , c'est pour ça je me demande si il existe un outil pour fixer ces vulnérabilités tout en restant sur 2.5.28 sans migrer vers 3.x .

merci d'avance.

User avatar
pmleconte
Joomla! Explorer
Joomla! Explorer
Posts: 350
Joined: Fri Mar 17, 2017 12:55 pm
Location: France

Re: Fixer les vulnérabilité de Joomla 2.5.28

Post by pmleconte » Thu Jan 25, 2018 12:43 pm

Bonjour,

Le seul outil que je connaisse est la mise à jour de Joomla.

Comme tous les CMS, il faut mettre à jour dès qu'une faille de sécurité est connue.

Votre problème est non seulement Joomla, mais aussi la version PHP qui, elle aussi, contient pas mal de failles de sécurité.

Par ailleurs, si vous avez besoin d'aide, je vous conseille d'aller plutôt sur le forum français https://forum.joomla.fr/ où il y a plus d'intervenants.

Pascal
If anything can go wrong, it will.
https://www.conseilgouz.com/en

User avatar
pmleconte
Joomla! Explorer
Joomla! Explorer
Posts: 350
Joined: Fri Mar 17, 2017 12:55 pm
Location: France

Re: Fixer les vulnérabilité de Joomla 2.5.28

Post by pmleconte » Thu Jan 25, 2018 12:47 pm

En complément, sur le site https://www.aide-joomla.fr, il y a une trentaine de pages de failles diverses et variées corrigées entre 2012 et aujourd'hui sur Joomla et ses extensions, soit environ 150 failles.....https://www.aide-joomla.fr/actualites/s ... ?start=150

Pascal
If anything can go wrong, it will.
https://www.conseilgouz.com/en

khadija74
Joomla! Apprentice
Joomla! Apprentice
Posts: 5
Joined: Thu Dec 21, 2017 10:27 am

Re: Fixer les vulnérabilité de Joomla 2.5.28

Post by khadija74 » Thu Jan 25, 2018 2:08 pm

Merci bcp , j'ai vu ces deux lien mais je trouve pas un outil precis , par contre en faisant des recherche sur des joomla malware removal ya plein mais payant je sais pas si ca marche voici le lien ci-dessous liste quelque uns .

https://geekflare.com/joomla-security-v ... teGuarding

User avatar
pmleconte
Joomla! Explorer
Joomla! Explorer
Posts: 350
Joined: Fri Mar 17, 2017 12:55 pm
Location: France

Re: Fixer les vulnérabilité de Joomla 2.5.28

Post by pmleconte » Thu Jan 25, 2018 3:10 pm

Les "malware removal" vont nettoyer votre installation courante mais ne pourront pas garantir que personne ne passera par les failles laissées grandes ouvertes dans votre version Joomla.

Juste pour info, avec votre version, il faut 30 secondes à tout hackeur débutant pour créer des utilisateurs de type administrator voir https://blog.sucuri.net/2016/10/joomla- ... ility.html

Pascal
If anything can go wrong, it will.
https://www.conseilgouz.com/en

khadija74
Joomla! Apprentice
Joomla! Apprentice
Posts: 5
Joined: Thu Dec 21, 2017 10:27 am

Re: Fixer les vulnérabilité de Joomla 2.5.28

Post by khadija74 » Thu Jan 25, 2018 4:03 pm

ok je comprend , donc n'existe pas autre outil pour fixer ces vulnérabilité autre que l'update.


Post Reply

Return to “3.x - Sécurité et performances”